<?php
/**
 * NOTICE OF LICENSE.
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 * @author    Propoza <suppport@propoza.com>
 * @copyright Copyright © 2016 Propoza
 * @license   LICENSE.txt
 */

/**
 * Class AdminPropozaController.
 */
class AdminPropozaController extends ModuleAdminController
{
    /**
     *
     */
    public function initContent()
    {
        if ((boolean) Configuration::get('PROPOZA_ENABLED')) {
            parent::initContent();

            $this->template = 'grid.tpl';
            $url = PropozaHelper::getDashboardPropozaLoginUrl(null, $this->getPropozaDashboardToken());
            $this->context->smarty->assign(array('DASHBOARD_PROPOZA_URL' => $url));
        }
    }

    /**
     * @return mixed
     */
    protected function getPropozaDashboardToken()
    {
        if (!$this->context->cookie->propoza_dashboard_token) {
            $process = curl_init(PropozaHelper::getDashboardPropozaTokenUrl());
            curl_setopt($process, CURLOPT_HTTPHEADER, array(
                    'Content-Type: application/json',
                    'Authorization: Basic '.
                    Configuration::get('API_KEY'),
                ));
            curl_setopt($process, CURLOPT_HEADER, false);
            curl_setopt($process, CURLOPT_RETURNTRANSFER, true);
            if (defined('_PS_MODE_DEV_') &&
                _PS_MODE_DEV_
            ) {
                curl_setopt($process, CURLOPT_SSL_VERIFYHOST, false);
                curl_setopt($process, CURLOPT_SSL_VERIFYPEER, false);
            }
            $response = curl_exec($process);
            curl_close($process);
            $response = Tools::jsonDecode($response);

            if (isset($response->response->token)) {
                $this->context->cookie->propoza_dashboard_token = $response->response->token;
            }
        }

        return $this->context->cookie->propoza_dashboard_token;
    }
}
