/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 * @author    Propoza <suppport@propoza.com>
 * @copyright Copyright © 2016 Propoza
 * @license   LICENSE.txt
 */

$.fn.requestFormAjaxSubmit = function (success, error, complete) {
    if (!$(this).is('form')) {
        throw new Error('element is not a form');
    }

    var postData = $(this).serializeArray();
    postData.push({name: 'action', value: 'requestQuoteFormSubmit'});
    postData.push({name: 'form-action', value: $(this).attr('action')});

    $.ajax({
        type: 'POST',
        url: baseDir + 'modules/propoza/propoza-ajax.php',
        action: 'requestQuoteFormSubmit',
        dataType: 'html',
        data: postData,
        success: success,
        error: error,
        complete: complete
    });
};

$.fn.registerSubmitListener = function () {
    if (!$(this).is('form')) {
        throw new Error('element is not a form');
    }
    $(this).submit(function (event) {
        closeDialog();
        toggleLoader()
        $(this).requestFormAjaxSubmit(function (data) {
            $("body").append($('#quote-request-form-dialog'));
            $('#quote-request-form-dialog').openDialog(data);
            toggleLoader()
        });

        event.preventDefault();
    });
};

$.fn.openDialog = function (html) {
    $(this).html(html);
    if ($(this).find('form').exists()) {
        $(this).find('form').registerSubmitListener();
    }
    $.fancybox.open($(this), {
        width: '500',
        autoWidth: false,
        autoHeight: true,
        autoSize: false,
        wrapCSS: 'quote-request-dialog',
        autoResize: true
    });
};

$.fn.exists = function () {
    return this.length > 0;
};

$.fn.ajaxOpenDialog = function () {
    toggleLoader();
    $("body").append($(this));
    var dialog = $(this);

    $.post(baseDir + 'modules/propoza/propoza-ajax.php', {
        'action': 'requestQuoteFormHtml',
        'dataType': 'html',
    }, function (data) {
        dialog.openDialog(data);
        toggleLoader();
    });
};

function closeDialog() {
    $.fancybox.close();
}

function toggleLoader() {
    $('#loader-overlay-selector').fadeToggle('fast');
}