{**
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
* @author    Propoza <suppport@propoza.com>
* @copyright Copyright © 2016 Propoza
* @license   LICENSE.txt
*}

{$MESSAGE|escape:'quotes':'UTF-8'}
<div class="row clear-fix">
    <div class="col-lg-12 column" style="margin: 15px 0px">
        <img class="logo img-responsive" src="{$module_dir|escape:'html':'UTF-8'}/views/img/full-logo.png" alt="Propoza"
             width="350" height="149"/>
    </div>
</div>
<div class="panel" id="fieldset_0">
    <div class="panel-heading">{l s='Setup' mod='propoza'}</div>
    <div class="row clear-fix">
        <div class="col-lg-12 text-center form-group">
            <strong>{l s='Get started with a free account<br><br>Sign up in 30 seconds. No credit card required.<br>Already have a Propoza account? Log in here<br>' mod='propoza'}</strong>
        </div>
        <div class="col-lg-12 text-center form-group">
            <a href="{$SIGN_UP_URL|escape:'html':'UTF-8'}" class="button btn btn-default button-medium"
               target="_blank"><span>{l s='Create My Account' mod='propoza'}</span></a>
        </div>
    </div>
</div>

<form id="configuration_form" class="defaultForm propoza form-horizontal"
      action="index.php?controller=AdminModules&amp;configure=propoza&amp;token={$TOKEN|escape:'url':'UTF-8'}"
      method="post"
      enctype="multipart/form-data" novalidate="">
    <input type="hidden" name="submitpropoza" value="1">

    <div class="panel" id="fieldset_0">
        <div class="panel-heading">
            {l s='General' mod='propoza'}
        </div>
        <div class="form-wrapper">
            <div class="row clear-fix">
                <div class="form-group">
                    <div class="col-lg-12 text-center">
                        <strong>{l s='General settings that are required to connect Propoza and Prestashop.' mod='propoza'}</strong>
                    </div>
                </div>
            </div>
            <div class="row clear-fix form-group">
                <div class="">
                    <label for="PROPOZA_ENABLED" class="control-label col-lg-4">
                        {l s='Enable Propoza' mod='propoza'}
                    </label>

                    <div class="col-lg-8 ">
                        <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="PROPOZA_ENABLED" id="PROPOZA_ENABLED_on"
                                   value="1" {if $PROPOZA_ENABLED} checked="checked"{/if}/>
                            <label for="PROPOZA_ENABLED_on" class="radioCheck"> {l s='On' mod='propoza'}</label>
                            <input type="radio" name="PROPOZA_ENABLED" id="PROPOZA_ENABLED_off"
                                   value="0" {if !$PROPOZA_ENABLED} checked="checked"{/if}/>
                            <label for="PROPOZA_ENABLED_off" class="radioCheck">{l s='Off' mod='propoza'}</label>
                            <a class="slide-button btn"></a>
                        </span>
                    </div>
                </div>
            </div>
            <div class="row clear-fix ">
                <div class="">
                    <label for="PROPOZA_DOMAIN" class="control-label col-lg-4 required">
                        {l s='Sub-domain' mod='propoza'}
                    </label>

                    <div class="col-lg-4 ">
                        <input type="text" name="PROPOZA_DOMAIN" id="PROPOZA_DOMAIN"
                               value="{$PROPOZA_DOMAIN|escape:'html':'UTF-8'}" class=""
                               size="20" required="required">
                    </div>
                    <div class="col-lg-4 ">
                        <p class="help-block"><strong>.propoza.com</strong></p>
                    </div>
                </div>
            </div>
            <div class="row clear-fix form-group">
                <div class="col-lg-4 col-lg-offset-4 text-center">
                    <p class="help-block">{l s='Please enter the sub-domain that you have registered with your Propoza account.' mod='propoza'}</p>
                </div>
            </div>
            {if $IS_VALID_API_KEY ne true}
                <div class="row clear-fix">
                    <div class="col-lg-4 col-lg-offset-4 ">
                        <div class="alert alert-danger" role="alert">
                            <strong>Warning: </strong> <?php echo __('Your API key is outdated.'); ?>
                            <br/>
                            {l s='Your Propoza API key is outdated. For security reasons please generate a new API key and save it to your dashboard and module.' mod='propoza'}
                            <a href="{$DASHBOARD_PROPOZA_URL|escape:'html':'UTF-8'}" class="dashboard_propoza_link"
                               target="_blank"
                               id="dashboard_propoza_link"><span>{l s='Dashboard' mod='propoza'}</span></a>
                        </div>
                    </div>
                </div>
            {/if}
            <div class="row clear-fix">
                <div class="">

                    <label for="API_KEY" class="control-label col-lg-4 required">
                        {l s='API key' mod='propoza'}
                    </label>


                    <div class="col-lg-4 ">

                    <textarea name="API_KEY" id="API_KEY" class="textarea-autosize"
                              style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px;">{$API_KEY|escape:'html':'UTF-8'}</textarea>
                    </div>
                </div>
            </div>
            <div class="row clear-fix form-group">
                <div class="col-lg-4 col-lg-offset-4 text-center">
                    <p class="help-block">{l s='The API key will be send to you in our email after you have setup your Propoza account' mod='propoza'}</p>
                </div>
            </div>
            <div class="row clear-fix">
                <div class="col-lg-4 col-lg-offset-4">
                    <div class="form-group">
                        <div class="row clearfix">
                            <div class="col-lg-6">
                                <button class="button btn btn-default button-medium pull-right"
                                        id="testconnection_button" type="button">
                                    <span>{l s='Test connection' mod='propoza'}</span>
                                </button>
                            </div>
                            <div class="col-lg-6">
                                <a href="{$DASHBOARD_PROPOZA_URL|escape:'html':'UTF-8'}" class="dashboard_propoza_link"
                                   target="_blank"
                                   id="dashboard_propoza_link"><span>{l s='Launch Propoza' mod='propoza'}</span></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.form-wrapper -->
        <div class="panel-footer">
            <button type="submit" value="1" id="configuration_form_submit_btn" name="submitpropoza" class="button">
                <i class="process-icon-save"></i> {l s='Save' mod='propoza'} </button>
        </div>
    </div>
</form>
<div id="loader_container">
    <div class="loader"></div>
</div>